{% extends "base.html" %}
{% block content %}
{% load static %}       
<link rel="stylesheet" href= "{% static 'css/storypage.css' %}">
<body>
    <div id='top' style="text-align: center; margin-top: 10vh; margin-bottom: 5vh;">
        <h1>Hello, How are you today?</h1>
        <a style="margin-top: 5vh" href="#upload" class="btn btn-light btn-lg" role="button">Upload a new Story!</a>
    </div>
    <div id='messages'>
        {% for s in story %}
            <div class="story-box">
                <h5>{{ s.name }}</h3>
                <h6>At {{ s.location }}, {{ s.datetime }}</h4>
                <div class="flex">
                    <div>
                        <p>{{ s.messages }}</p>
                    </div>
                    <form action="delete" method="POST" >
                        {% csrf_token %}
                        <input type="hidden" value="{{ s.id }}" name="id" />
                        <input class="button-story delete" type="submit" value="Delete" />
                    </form>
                </div>
            </div>
        {% endfor %}
    </div>
    <div id="upload">
        <form method="POST" class="form">
            {% csrf_token %}    
            <p>Name: {{ form.name }}</p>
            <p>Location: {{ form.location }}</p>                   
            <p>Message: {{ form.messages }}</p>
            <div>
                <input id='id_submit' type="submit" class="button" value="Submit"/>
            </div>
        </form>
    </div>
</body>
{% endblock %}